#
# spec file for package autoconf-archive (Version 2010.06.04)
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           autoconf-archive
Summary:        A Collection of macros for GNU autoconf
Version:        2010.06.04
Release:        1.1
License:        GPL
Group:          Development/Tools/Building
Source0:        %{name}-%{version}.tar.xz
Url:            http://savannah.gnu.org/projects/autoconf-archive
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  xz
BuildArch:      noarch
Requires(pre):  info

%description
The GNU Autoconf Archive is a collection of more than 450 macros for `GNU
Autoconf <http://www.gnu.org/software/autoconf>`_ that have been contributed as
free software by friendly supporters of the cause from all over the Internet.
Every single one of those macros can be re-used without imposing any
restrictions whatsoever on the licensing of the generated `configure` script. In
particular, it is possible to use all those macros in `configure` scripts that
are meant for non-free software. This policy is unusual for a Free Software
Foundation project. The FSF firmly believes that software ought to be free, and
software licenses like the GPL are specifically designed to ensure that
derivative work based on free software must be free as well. In case of
Autoconf, however, an exception has been made, because Autoconf is at such a
pivotal position in the software development tool chain that the benefits from
having this tool available as widely as possible outweigh the disadvantage that
some authors may choose to use it, too, for proprietary software.

%prep
%setup -q

%build
%configure

%install
%makeinstall
rm -rf %{buildroot}/%{_datadir}/%{name}/

%clean
rm -rf %{buildroot}

%post
%install_info --info-dir=%{_infodir} %{_infodir}/autoconf-archive.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/autoconf-archive.info.gz

%files
%defattr(-, root, root)
%{_infodir}/%{name}*
%{_datadir}/aclocal/*.m4
%doc AUTHORS COPYING README

%changelog
* Tue Jun  8 2010 pth@suse.de
- Initial openSUSE package.
